%define tarball_name Coherence

Name: python-coherence
Summary: Python framework to participate in digital living networks
Version: 0.6.6.2
Release: %mkrel 5
Group: Development/Python
URL: https://coherence.beebits.net/
Source0: https://coherence.beebits.net/download/%{tarball_name}-%{version}.tar.gz
Source1: coherence.conf
Source2: coherence-32x32.png
Patch0: Coherence-0.6.0-daemon_name_fix.diff
BuildArch: noarch
License: MIT
Provides: coherence = %version
Requires: python-twisted-core
Requires: python-twisted-web
Requires: python-twisted-conch >= 0.8
#Requires: python-louie
Requires: python-axiom >= 0.5.7
Requires: python-epsilon >= 0.5.8
Requires: python-configobj
Requires: python-celementtree
Requires: python-elementtree
Requires: python-dbus
Requires: python-mechanize
Requires: pyid3lib
# Gstreamer
Requires: gstreamer0.10-python
Requires: gstreamer0.10-flac
Requires: gstreamer0.10-plugins-base

Requires: python-pkg-resources
Requires: python-nose
Requires: python-sqlite2
Requires(post):   rpm-helper
Requires(preun):  rpm-helper
BuildRequires: python-setuptools, imagemagick
BuildRequires: python-twisted-core
BuildRequires: python-twisted-web
BuildRequires: python-devel

%description
Coherence is a framework written in Python enabling applications to participate
in digital living networks, such as the UPnP universe.

%files 
%defattr(-,root,root)
%doc docs/coherence.conf.example 
%py_puresitedir/*


#------------------------------------------------------------

%package -n coherence-applet
Summary: Applet for controlling coherence
Group:  Networking/File transfer
Requires: coherence-mediaserver 
Requires: python-qt4
Obsoletes: %name-applet

%description -n coherence-applet
A simple desktop applet to control (start/stop) coherence

%files -n coherence-applet
%defattr(-,root,root)
%_bindir/applet-coherence
%{_iconsdir}/coherence/*
%{_datadir}/applications/coherence-applet.desktop
%{_iconsdir}/coherence.png
%{_liconsdir}/coherence.png
%{_miconsdir}/coherence.png

#------------------------------------------------------------

%package -n coherence-mediaserver
Summary: A DLNA/UPnP MediaServer/MediaRenderer
Group: Networking/File transfer
Requires: %name

%description -n coherence-mediaserver
As a stand-alone application Coherence acts as a DLNA/UPnP MediaServer and
exports local and remote media files via its plugins to other UPnP clients.

%files -n coherence-mediaserver
%_bindir/coherence
%_initrddir/coherence
%config(noreplace) %_sysconfdir/coherence/*conf
/srv/public
%{_datadir}/dbus-1/services/

%post -n coherence-mediaserver
%_post_service coherence

%preun -n coherence-mediaserver
%_preun_service coherence

#------------------------------------------------------------
%prep
%setup -q -n %{tarball_name}-%version
%patch0 -p0

%build
%{__python} setup.py build

%install
rm -rf %buildroot
mkdir -p %buildroot/%_initrddir
mkdir -p %buildroot/%_sysconfdir/coherence
mkdir -p %buildroot/usr/share/icons/coherence
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications/
mkdir -p $RPM_BUILD_ROOT/srv/public
# Install the D-Bus service file
%{__mkdir_p} %{buildroot}/%{_datadir}/dbus-1/services

PYTHONDONTWRITEBYTECODE= %{__python} setup.py install -O1 --root=%buildroot --skip-build
install -m 755 misc/coherence-initscript.sh %buildroot/%_initrddir/coherence
install -m 644 %SOURCE1 %buildroot/%_sysconfdir/coherence
mv "%buildroot/%py_puresitedir/misc/Desktop-Applet/tango-system-file-manager.png" %buildroot/usr/share/icons/coherence
install -m 644 misc/org.Coherence.service %{buildroot}/%{_datadir}/dbus-1/services/

# install icons
mkdir -p %{buildroot}%{_miconsdir}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_liconsdir}
install -m 644 %SOURCE2 %{buildroot}%{_iconsdir}/coherence.png
convert -scale 16x16 %SOURCE2 $RPM_BUILD_ROOT%{_miconsdir}/coherence.png
convert -scale 48x48 %SOURCE2 $RPM_BUILD_ROOT%{_liconsdir}/coherence.png

# menu
cat > $RPM_BUILD_ROOT%{_datadir}/applications/coherence-applet.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Coherence
Comment=DLNA/UPnP MediaServer/MediaRenderer
Exec=applet-coherence
Icon=coherence
StartupNotify=true
Terminal=false
Type=Application
Categories=X-MandrivaLinux-Internet;X-MandrivaLinux-CrossDesktop;
EOF




%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.6.6.2-5.mga3
+ Revision: 378610
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 21 2011 philippem <philippem> 0.6.6.2-4.mga2
+ Revision: 157209
- coherence mediaserver as separate package (fix bug 1824)
- build as noarch

* Mon Feb 21 2011 ahmad <ahmad> 0.6.6.2-3.mga1
+ Revision: 55114
- rebuild so that all the pythoneggs autorequires are lowercase
- replace the deprecated %%py_requires -d with python-devel
- drop redundant BR python-qt4-core and python-qt4-gui are already required by
  python-qt4

* Wed Jan 19 2011 erwan <erwan> 0.6.6.2-2.mga1
+ Revision: 24843
- imported package python-coherence

